<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Objects</title>
        <script>
           function showFullName(firstPart, lastPart) {
               console.log( this[firstPart] + " " + this[lastPart])
           }

           var user = {
               firstName: 'Вася',
               lastName: 'Пупкин',
           }

           showFullName.call(user, 'firstName', 'lastName')
        </script>
    </head>
    <body>

    </body>
</html>